package com.pcloud.book.group.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 戴兴
 * @description TODO
 * @date 2019/7/28 15:47
 */
public class WxGroupStatisticVO implements Serializable {

    private Long qrcodeId;

    private String wxGroupName;

    private Long inGroupPersonCount;

    private Long groupPersonCount;

    private BigDecimal income;

    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createdTime;

    public Long getQrcodeId() {
        return qrcodeId;
    }

    public void setQrcodeId(Long qrcodeId) {
        this.qrcodeId = qrcodeId;
    }

    public String getWxGroupName() {
        return wxGroupName;
    }

    public void setWxGroupName(String wxGroupName) {
        this.wxGroupName = wxGroupName;
    }

    public Long getInGroupPersonCount() {
        return inGroupPersonCount;
    }

    public void setInGroupPersonCount(Long inGroupPersonCount) {
        this.inGroupPersonCount = inGroupPersonCount;
    }

    public Long getGroupPersonCount() {
        return groupPersonCount;
    }

    public void setGroupPersonCount(Long groupPersonCount) {
        this.groupPersonCount = groupPersonCount;
    }

    public BigDecimal getIncome() {
        return income;
    }

    public void setIncome(BigDecimal income) {
        this.income = income;
    }

    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    @Override
    public String toString() {
        return "WxGroupStatisticVO{" +
                "qrcodeId=" + qrcodeId +
                ", wxGroupName='" + wxGroupName + '\'' +
                ", inGroupPersonCount=" + inGroupPersonCount +
                ", groupPersonCount=" + groupPersonCount +
                ", income=" + income +
                ", createdTime=" + createdTime +
                '}';
    }
}